Subject: bug#21498: macos: `ps -ef | grep "test"` in eshell beeps

From: Stefan Kangas <[email-masked]>
Date: Thu, 25 Jul 2024 13:36:47 +0000

found 21498 30.0.60
found 21498 31.0.50
thanks

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> The recipe can in my case be simplified to:
>>
>> 0. emacs -Q
>> 1. M-x eshell
>> 2. echo foo | grep foo
>>
>> Results: I see the line "foo" printed, then it stalls until I kill it
>> with C-c.
>>
>> I never see the beep the OP talks about, but I see the same stalling
>> as above when I say 'ps -ef | grep "test"'.
>>
>> Perhaps this is caused by some difference between BSD grep and GNU
>> grep.
>
> I re-tested this in Emacs 29 with the current Macos, and the bug is
> still present there.

I've tested this on Emacs 30 on mac OS 14.5, and the bug is still
present.  I now get this backtrace, however:

Debugger entered--Lisp error: (void-function eshell-set-exit-info)
  eshell-set-exit-info(0 t)
  #f(compiled-function () #<bytecode 0x1cf599f366a88a85>)()
  eshell-sentinel(#<process grep> "finished\n")

Copying in Jim Porter, in case he has any ideas.